<?
use LabBase\Model\Brand;

$this->headStyle()->appendStyle(
    <<<CSS
    .searchResults{
        margin-top: 10px;
        margin-left: -5px;
    }
    .record{
        width: 269px;
        display: inline-block;
        margin-bottom: 14px;
        vertical-align: top;
        margin-left: 10px;
    }
    @media (max-width: 899px) {
        .searchResults{
            margin-left: 1%;
        }
        .record{
            width: 49%;
            margin-left: 0;
        }
    }
    @media (max-width: 499px) {
        .searchResults{
            margin-left: 0;
        }
        .record{
            width: 100%;
            margin-left: 0;
        }
    }
    .recordInner{
        background-color: #fff;
        box-shadow: 0px 0px 5px #bbb;
        height: 300px;
        position: relative;
    }
    .recordInner .img{
        width: 100%;
        height: 160px;
        background-color: #ddd;
    }
    .recordInner .contents{
        padding: 10px;
    }
    .recordInner .footer{
        position: absolute;
        bottom: 0;
        padding: 10px;
        color: #555;
    }
    .ribbon {
        display: inline-block;
        width: 2px;
        height: 10px;
        background-color: black;
        margin-right: 5px;
    }
CSS
);
?>

<div class="searchResults">
    <? foreach($brands as $brand) { /** @var $brand Brand */?>
        <div class="record">
            <div class="recordInner">
                <div class="img" <? if($brand->hasBanner) { ?> style="background: url('<?= $this->imageLinker()->getImageObject("brand-banner-".$brand->id)->getURL(); ?>');" <? } ?>></div>
                <div class="contents">
                    <h1><?= $brand->name ?></h1>
                </div>
                <div class="footer"><div class="ribbon" style="background-color: #f00;"></div>BRANDS</div>
            </div>
        </div>
    <? } ?>
</div>